namespace ASPNETWebFormsIdentity.Migrations
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;

    using Microsoft.AspNet.Identity;
    using Microsoft.AspNet.Identity.EntityFramework;
    using Microsoft.AspNet.Identity.Owin;
    using Microsoft.Owin;
    using ASPNETWebFormsIdentity.Models;

    internal sealed class Configuration : DbMigrationsConfiguration<ASPNETWebFormsIdentity.Models.ApplicationDbContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = true;
            ContextKey = "ASPNETWebFormsIdentity.Models.ApplicationDbContext";
        }

        protected override void Seed(ASPNETWebFormsIdentity.Models.ApplicationDbContext context)
        {
            //  This method will be called after migrating to the latest version.

            //  You can use the DbSet<T>.AddOrUpdate() helper extension method 
            //  to avoid creating duplicate seed data. E.g.
            //
            //    context.People.AddOrUpdate(
            //      p => p.FullName,
            //      new Person { FullName = "Andrew Peters" },
            //      new Person { FullName = "Brice Lambson" },
            //      new Person { FullName = "Rowan Miller" }
            //    );
            //

            //(ISY03)Ǘ҂̒ǉ
            var manager = new UserManager<ApplicationUser>(new UserStore<ApplicationUser>(context));
   
            var adminUser =  new ApplicationUser()
            {
                UserName = "admin@mydomain.com",Email = "admin@mydomain.com",
                    DispName = "Administrator", EmailConfirmed = true
            };

            var tmpUser = manager.FindByName("admin@mydomain.com");

            if (tmpUser == null) {
                manager.Create(adminUser, "adminPassword");
            }
   
        }
    }
}
